Update Rule
curl --request PATCH \
--url https://api.replyke.com/api/v6/:projectId/api/v7/spaces/:spaceId/rules/:ruleId \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"description": {}
}
'import requests
url = "https://api.replyke.com/api/v6/:projectId/api/v7/spaces/:spaceId/rules/:ruleId"
payload = {
"title": "<string>",
"description": {}
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({title: '<string>', description: {}})
};
fetch('https://api.replyke.com/api/v6/:projectId/api/v7/spaces/:spaceId/rules/:ruleId', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Space — Rules
Update Rule
Update an existing community rule
PATCH
/
:projectId
/
api
/
v7
/
spaces
/
:spaceId
/
rules
/
:ruleId
Update Rule
Updates a rule’s title or description. Only space admins can update rules.
Path Parameters
string
required
UUID of the space.
string
required
UUID of the rule to update.
Body Parameters
string
Updated title.
string | null
Updated description. Pass
null to clear.Response
The updated Rule object. See also: useUpdateRule⌘I

